KDE4-CONFIG(1)

NAME
kde4-config - Wyświetla ścieżki instalacji KDE

SYNOPSIS

kde4-config [--expandvars] [--prefix] [--exec-prefix] [--libsuffix] [--localprefix] [--version] [--types] [--path typ] [--userpath typ] [--install typ]

OPIS

kde4-config to program konsolowy (wiersza poleceń) używany do pobierania informacji o instalacji KDE lub ścieżkach dostępu użytkownika.

Użyj tego programu do określenia miejsc instalacji rozmaitych aspektów KDE w Twoim systemie.

OPCJE

--expandvars
    Rozwija ${prefix} i ${exec_prefix} na wyjściu

--prefix
    Wkompilowany przedrostek dla bibliotek KDE

--exec-prefix
    Wkompilowany exec_prefix for dla bibliotek KDE

--libsuffix
    Wkompilowany przyrostek ścieżki dostępu do bibliotek

--localprefix
    Przedrostek w $HOME używany do zapisywania plików

--version
    Wkompilowane oznaczenie wersji bibliotek KDE

--types
    Wypisuje wszystkie dostępne typy zasobów KDE

--path typ
    Przeszukuje ścieżkę dostępu w poszukiwaniu określonego typu

--userpath typ
    Ścieżki dostępu zdefiniowane przez użytkownika dla typów: desktop|autostart|trash|document

--install typ
    Przedrostek instalacji plików zasobów

PRZYKłADY

Wypisz katalog instalacyjny KDE najwyższego poziomu:

% kde4-config --prefix

Wypisz listę typów wszystkich zasobów:

% kde4-config --types

Wypisz ścieżkę dostępu do zainstalowanej tapety pulpitu:

% kde4-config --path wallpaper

ZOBACZ RóWNIEż

kdeoptions(7)

BłęDY

Nie są znane żadne błędy.

AUTHOR
Stephan Kulow <coolo@kde.org>.